unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeEngine, Series, TeeProcs, Chart, ExtCtrls, TeeGDIPlus;

type
  TForm2 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Button1: TButton;
    TeeGDIPlus1: TTeeGDIPlus;
    Button2: TButton;
    Button3: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    Chart: TChart;
    Series: TLineSeries;
    { Public-Deklarationen }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.Button1Click(Sender: TObject);
begin
  Chart.Print;
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
  TeeGDIPlus1.Active := not TeeGDIPlus1.Active;
end;

procedure TForm2.Button3Click(Sender: TObject);
begin
  if TeeGDIPlus1.AntiAliasText = gpfDefault then TeeGDIPlus1.AntiAliasText := gpfNormal
  else TeeGDIPlus1.AntiAliasText := gpfDefault;  
end;

procedure TForm2.FormCreate(Sender: TObject);
var
    i: Integer;
begin
  Chart := TChart.Create(nil);
  Chart.Parent := Panel1;
  Chart.Align := alClient;

  Series := TLineSeries.Create(nil);
  Series.ParentChart := Chart;
  Chart.Legend.CheckBoxes := true;


  for I := -20 to 20 do begin
    Series.AddXY((i * 0.01), i);
  end;

  TeeGDIPlus1.TeePanel := Chart;
end;

end.
